#!/usr/bin/env bash

set -euo pipefail

# First, add some overrides for values that are only useful in CI
kubectl apply -n oas-apps -f $( dirname "${BASH_SOURCE[0]}" )/nextcloud-values-override.yaml

# This kustomization's only purpose is to add the kustomization that is in the
# flxu2/cluster/optional/nextcloud folder. After this kustomization is applied
# an `add-nextcloud` kustomization will be present on the cluster, as well as a
# `nextcloud` kustomization that adds the actual app
flux create kustomization add-nextcloud \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/optional/nextcloud" \
  --prune=true \
  --interval=10m
