#!/usr/bin/env bash

set -euo pipefail

flux install \
  --network-policy=false \
  --watch-all-namespaces=true \
  --namespace=flux-system

# get current git branch name
branch=$(git branch --show-current) 2>/dev/null || branch=master
echo "Tracking branch $branch for https://open.greenhost.net/openappstack/openappstack flux repo"

flux create source git openappstack \
  --url=https://open.greenhost.net/openappstack/openappstack \
  --branch=$branch \
  --interval=1m

flux create kustomization openappstack \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/base" \
  --prune=true \
  --interval=10m
